@mpalmer mpalmer released this Nov 30, 2017 · 25 commits to master since this release

Assets 2

Thanks to the hard work of Skye Shaw, amongst others, this release of
rack-contrib supports Rack 2.x. Unfortunately, it only supports Rack
2.x; if your application is using Rack 1.x, you should continue to use
rack-contrib 1.x.

The non-backwards-compatible, user-visible changes are:

  • Drop support for Ruby versions less than 2.2. Rack 2 does not support
    these older releases, so there's no benefit in our doing so.

  • Rack::NestedParams: switch to using Rack::Utils.parse_nested_query to
    parse request bodies, which handles repeated element keys differently.
    See #92.

  • Rack::Sendfile: removed completely. Rack core provides a middleware of
    the same name that is much better, and more actively maintained, and you
    should use that instead.

  • Rack::AcceptFormat: removed completely, because it is terribad.